﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Text.RegularExpressions;

namespace RegexExample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void txtPhoneNumber_TextChanged(object sender, EventArgs e)
        {
            string input = txtPhoneNumber.Text;

            //Match match = Regex.Match(input, @"^\d\d\d-\d\d\d-\d\d\d\d$");
            //Match match = Regex.Match(input, @"^((\(\d\d\d\))|(\d\d\d-)|)\d\d\d-\d\d\d\d$");
            Match match = Regex.Match(input, @"(^((\(\d\d\d\))|(\d\d\d-)|)\d\d\d-\d\d\d\d$)|(^((\(\d\d\d\))|(\d\d\d\.)|)\d\d\d\.\d\d\d\d$)");
            //Match match = Regex.Match(input, @"555-1212");
            //Match match = Regex.Match(input, @"Harding.*Dana Steil");

            if (match.Success)
            {
                lblPhoneNumberValid.Text = "Valid";
            }
            else
            {
                lblPhoneNumberValid.Text = "Invalid";
            }

        }

        private void txtDocument_TextChanged(object sender, EventArgs e)
        {
            string input = txtDocument.Text;

            Match match = Regex.Match(input, @"(((\(\d\d\d\)\s?)|(\d\d\d-)|)\d\d\d-\d\d\d\d)|(((\(\d\d\d\)\s?)|(\d\d\d\.)|)\d\d\d\.\d\d\d\d)");

            lstPhoneNumbers.Items.Clear();
            while (match.Success)
            {
                lstPhoneNumbers.Items.Add(match.Value);
                match = match.NextMatch();
            }
        }
    }
}
